OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
VoxelOrderOp< PointIndexType, BucketLog2Dim > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | VoxelOffsetType = typename boost::int_t< 1+(3 *BucketLog2Dim)>::least
using | VoxelOffsetArray = boost::scoped_array< VoxelOffsetType >
using | IndexArray = boost::scoped_array< PointIndexType >

## Public Member Functions
| VoxelOrderOp (IndexArray &indices, const IndexArray &pages, const VoxelOffsetArray &offsets)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
PointIndexType *const | mIndices
PointIndexType const *const | mPages
VoxelOffsetType const *const | mVoxelOffsets

## Member Typedef Documentation

## ◆ IndexArray

using IndexArray = boost::scoped_array<PointIndexType>

## ◆ VoxelOffsetArray

using VoxelOffsetArray = boost::scoped_array<VoxelOffsetType>

## ◆ VoxelOffsetType

using VoxelOffsetType = typename boost::int_t<1 + (3 * BucketLog2Dim)>::least

## Constructor & Destructor Documentation

## ◆ VoxelOrderOp()

VoxelOrderOp | ( | IndexArray & | indices,
|  | const IndexArray & | pages,
|  | const VoxelOffsetArray & | offsets
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIndices

PointIndexType* const mIndices

## ◆ mPages

PointIndexType const* const mPages

## ◆ mVoxelOffsets

VoxelOffsetType const* const mVoxelOffsets

The documentation for this struct was generated from the following file:

- PointPartitioner.h